%global pkidir %{_sysconfdir}/pki

Summary: CAcert.org CA root certificates
Name: ca-cacert.org
Version: 2008
Release: 2
License: Public Domain
Group: System Environment/Base
URL: http://www.cacert.org/
# Class 1 PKI Key
Source0: http://www.cacert.org/certs/root.crt
# Class 3 PKI Key
Source1: http://www.cacert.org/certs/class3.crt
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
# For the hash generation
BuildRequires: openssl
BuildArch: noarch

%global class1hash %(openssl x509 -hash -noout -in %{SOURCE0})
%global class3hash %(openssl x509 -hash -noout -in %{SOURCE1})


%description
Class 1 and Class 3 PKI keys from CAcert.org, to trust SSL certificates signed
by either key of the CAcert Certificate Authority (CA).


%package class1
Summary: CAcert.org CA Class 1 root certificate
Group: System Environment/Base
Provides: %{name} = %{version}-%{release}
# For the parent directories
Requires: openssl
Requires(post): /usr/bin/certutil
Requires(preun): /usr/bin/certutil

%description class1
Class 1 PKI key from CAcert.org, to trust SSL certificates signed by the Class
1 key of the CAcert Certificate Authority (CA).


%package class3
Summary: CAcert.org CA Class 3 root certificate
Group: System Environment/Base
Requires: %{name}-class1 = %{version}-%{release}
Provides: %{name}-all = %{version}-%{release}

%description class3
Class 3 PKI key from CAcert.org, to trust SSL certificates signed by the Class
3 key of the CAcert Certificate Authority (CA).


%prep
#Nothing to prep

%build
#Nothing to build

%install
%{__rm} -rf %{buildroot}

# Class 1
%{__install} -D -p -m 0644 %{SOURCE0} \
    %{buildroot}%{pkidir}/tls/certs/ca-cacert-class1.crt
%{__ln_s} ca-cacert-class1.crt %{buildroot}%{pkidir}/tls/certs/%{class1hash}.0

# Class 3
%{__install} -D -p -m 0644 %{SOURCE1} \
    %{buildroot}%{pkidir}/tls/certs/ca-cacert-class3.crt
%{__ln_s} ca-cacert-class3.crt %{buildroot}%{pkidir}/tls/certs/%{class3hash}.0



%clean
%{__rm} -rf %{buildroot}


%post class1
/usr/bin/certutil -d %{_sysconfdir}/pki/nssdb -A -t TC -n "CAcert.org" -i \
 %{pkidir}/tls/certs/ca-cacert-class1.crt || :

%post class3
/usr/bin/certutil -d %{_sysconfdir}/pki/nssdb -A -t TC -n "CAcert.org Class 3" -i \
 %{pkidir}/tls/certs/ca-cacert-class3.crt || :

%preun class1
if [ $1 = 0 ] ; then
  /usr/bin/certutil -d  %{_sysconfdir}/etc/pki/nssdb -D -n "CAcert.org"
fi || :

%preun class3
if [ $1 = 0 ] ; then
  /usr/bin/certutil -d  %{_sysconfdir}/pki/nssdb -D -n "CAcert.org Class 3"
fi || :



%files class1
%defattr(-,root,root,-)
%config %{pkidir}/tls/certs/ca-cacert-class1.crt
%{pkidir}/tls/certs/%{class1hash}.0

%files class3
%defattr(-,root,root,-)
%config %{pkidir}/tls/certs/ca-cacert-class3.crt
%{pkidir}/tls/certs/%{class3hash}.0


%changelog
* Thu Aug 23 2012 Nicolas Chauvet <kwizart@gmail.com> - 2008-2
- Fix nssdb database method

* Mon Apr 26 2010 Nicolas Chauvet <kwizart@fedoraproject.org> - 2008-1
- Add support for certutil registration.

* Wed Dec  3 2008 Matthias Saou <http://freshrpms.net/> 2008-1
- Initial RPM release.

